# Get Workflow

> Get a single workflow with its full steps

- **URL**: https://orshot.com/docs/api-reference/workflow-get

---

## Overview

Returns one workflow, including its full steps, schedule and run stats.```markdown tab="Endpoint"
https://api.orshot.com/v1/workflows/:id
```## Path Parameters

| Parameter | Type    | Required | Description                   |
| --------- | ------- | -------- | ----------------------------- |
| `id`      | Integer | Yes      | The unique ID of the workflow |

## Request```js
await fetch("https://api.orshot.com/v1/workflows/44", {
  method: "GET",
  headers: {
    Authorization: "Bearer <ORSHOT_API_KEY>",
  },
});
```</Tab>```json
{
  "workflow": {
    "id": 44,
    "name": "Renders from Google Sheets",
    "description": "Render a card for every new row",
    "status": "active",
    "trigger_type": "google_drive_new_file",
    "steps": [
      {
        "key": "google_drive_new_file",
        "type": "trigger",
        "config": { "folderId": "<DRIVE_FOLDER_ID>", "pollInterval": 10 }
      },
      {
        "key": "render",
        "type": "action",
        "config": {
          "templateId": "1443",
          "format": "jpg",
          "mapping": { "headline": "name", "hero_image": "image_url" }
        }
      },
      { "key": "orshot_url", "type": "destination", "config": {} }
    ],
    "schedule_config": { "poll": true, "frequency": "custom", "intervalMinutes": 10 },
    "next_run_at": "2026-07-11T09:00:00.000Z",
    "run_count": 128,
    "success_count": 126,
    "last_run_at": "2026-07-11T08:00:03.412Z",
    "last_status": "success",
    "required_connections": ["google-drive"],
    "is_shared": false,
    "share_slug": null,
    "created_at": "2026-06-20T11:24:09.551Z",
    "updated_at": "2026-07-11T08:00:04.101Z"
  }
}
```</Tab>
</Tabs>

## Error Responses

### Workflow Not Found (404)```json
{
  "error": "Not found"
}
```## Rate Limits

- 60 requests per minute per workspace